Subject: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Paul Pogonyshev <[email-masked]>
Date: Tue, 16 Dec 2014 17:19:06 +0100

> What is the definition of "archive" for this purpose?

I would say any buffer that has certain major mode, e.g. 'archive-mode' or
'tar-mode'.

> Also, when you visit a .tar.gz file, isn't most of the buffer readable
> text (because Emacs automatically decompresses the archive)?​

Yes, it appears readable, but dabbrev still comes with various "useful"
binary data. Perhaps another approach would be to not search for abbrevs in
hidden text, but I don't know how that is implemented internally and if it
would be easy enough.

Paul